/*** Spinner Start ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .8s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .8s ease-out, visibility 0s linear .0s;
    visibility: visible;
    opacity: 1;
}

/*** Spinner End ***/

.back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    display: flex;
    width: 58px;
    height: 58px;
    align-items: center;
    justify-content: center;
    z-index: 99;
}

a {
    color: white;
}

a:hover {
    color: white;
}


.btn {
    text-transform: uppercase;
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary {
    box-shadow: inset 0 0 0 0 var(--bs-dark);
}

.btn.btn-primary:hover {
    box-shadow: inset 200px 0 0 0 var(--bs-dark) !important;
    color: #cf1c00 !important;
}

.btn.btn-dark {
    box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.btn.btn-dark:hover {
    box-shadow: inset 200px 0 0 0 #cf1c00;
    color: var(--bs-dark) !important;
}


.logo-suporte {
    margin-left: 0.4rem;
    margin-bottom: 0.3rem;
}



/*** Topbar Start ***/
.box-logo {
    display: flex;

}

#logotipo {
    width: 100%;
    max-width: 200px;
}

.search-btn {
    position: relative;
    width: 100%;
    padding: 0 0 0 25px;
}

.search-btn .form-group {
    width: 100%;
}

.search-btn button {
    position: absolute;
    right: 25px;
}

@media screen and (max-width:400px) {
    .container-logo-footer {
        width: 250px;
        justify-content: initial;
        display: flex;
        gap: -50px;
    }


    .container-logo-footer .logo {
        width: 50%;
    }

    .container-logo-footer .logo-suporte {
        width: 35%;
    }

    .box-logo {
        display: flex;
        align-items: center;
        width: 227px;
        padding: 0rem !important;
        margin: 0rem !important;

    }

    .container-mobile .logo-suporte {
        padding: 0rem !important;
        margin-left: 5px !important;
    }

    .container-mobile #logotipo {
        width: 100% !important;
    }

}



@media screen and (min-width:401px) and (max-width:768px) {
    .container-logo-footer {
        width: 280px;
        justify-content: initial;
        display: flex;
        gap: -50px;
    }

    .container-logo-footer .logo {
        width: 45%;
    }

    .container-logo-footer .logo-suporte {
        width: 35%;
    }
}




@media screen and (max-width: 768px) {
    .descriptionFooter {
        font-size: 1rem !important;
        color: rgba(255, 255, 255, .7) !important;
    }

    .footer-inner .col-lg-3:nth-child(1) {
        order: 4;
        /* Move a primeira coluna para a última posição */
        text-align: left !important;

    }

    .container-logo-footer {

        max-width: 400px;
    }
}



@media (max-width: 992px) {
    .search-btn {
        display: none;
    }
}

@media (max-width: 768px) {
    .topbar {
        flex-direction: column;
    }

    .search-btn {
        display: none;
    }

    .topbar-info {
        flex-direction: column;
    }

    .topbar-info a {
        padding: 0 0 10px 0;
    }

    .topbar-icon {
        padding: 0 0 10px 0;
    }
}

@media (max-width: 576px) {
    .topbar-top {
        display: none;
    }
}

/*** Topbar End ***/

/*** Navbar Start ***/
.navbar .navbar-nav {
    padding: 15px 0;
}

.navbar .navbar-nav .nav-link {
    padding: 15px;
    color: var(--bs-white);
    font-weight: 500;
    font-size: 16px;
    outline: none;
    transition: .5s;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: black;
    transition: .5s;
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 800;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        transition: .5s;
        opacity: 0;
    }
}

.dropdown .dropdown-menu a:hover,
.dropdown .dropdown-menu a.active {
    background: var(--bs-dark);
    color: var(--bs-primary);
}

.navbar .nav-item:hover .dropdown-menu {
    transform: rotateX(0deg);
    visibility: visible;
    transition: .5s;
    opacity: 1;
}

.navbar-toggler {
    background: var(--bs-secondary);
    color: var(--bs-light) !important;
    padding: 5px 12px;
    border: 2px solid var(--bs-primary) !important;
}

/*** Navbar End ***/




/*** Carousel Start ***/

.carousel-item {
    position: relative;
}

.carousel-item::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    background: rgba(0, 0, 0, .7);
}

.carousel-caption {
    height: 100%;
    display: flex;
    align-items: center;
    text-align: start;
    z-index: 1;
}

.carousel-control-prev {
    width: 80px;
    height: 60px;
    position: absolute;
    top: 50%;
    left: 0;
    background: #cf1c00;
    border-radius: 0 30px 30px 0;
    transition: .5s;
    opacity: 1;
}


.carousel-control-next {
    width: 80px;
    height: 60px;
    position: absolute;
    top: 50%;
    right: 0;
    background: #cf1c00;
    border-radius: 30px 0 0 30px;
    transition: .5s;
    opacity: 1;
}

#carouselId .carousel-indicators li,
#carouselId .carousel-indicators li {
    width: 10px;
    height: 10px;
    background: var(--bs-dark);
    border: 2px solid #cf1c00;
    border-radius: 24px;
    margin: 0 10px 30px 10px;
}

#carouselId .carousel-indicators li.active {
    background: #cf1c00 !important;
}

@media (max-width: 768px) {
    .carousel-item {
        width: 100%;
        height: 400px;
    }

    .carousel-item img {
        height: 400px;
        object-fit: cover;
    }

    .carousel-control-prev,
    .carousel-control-next {
        display: none;
    }

}

.page-header {
    background: linear-gradient(rgba(0, 0, 0, .7), rgba(0, 0, 0, .7)), url(../img/carousel-2.jpg) center center no-repeat;
    background-size: cover;
    margin-bottom: 6rem;
}

/*** Carousel End ***/


/*** About Start ***/

.about-img {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 30px 30px 30px 30px;
    overflow: hidden;
    object-fit: cover;
}

.about-img::before {
    content: "";
    width: 100%;
    height: 40%;
    background: var(--bs-dark);
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: 1;
    border-radius: 10px 10px 10px 10px;
}


.about-img::after {
    content: "";
    width: 100%;
    height: 60%;
    background: #cf1c00;
    position: absolute;
    bottom: 0px;
    left: 0px;
    z-index: 1;
    border-radius: 10px 10px 10px 10px;
}

.rotate-left {
    width: 150px;
    height: 100px;
    position: absolute;
    top: 28%;
    left: -10%;
    rotate: 25deg;
    z-index: 2;
}

.rotate-right {
    width: 150px;
    height: 100px;
    position: absolute;
    top: 28%;
    right: -10%;
    rotate: -25deg;
    z-index: 2;
}

.about-img img {
    position: relative;
    z-index: 2;
    border-radius: 10px;
}

.experiences {
    width: 160px;
    height: 200px;
    position: absolute;
    top: -0;
    right: 0;
    padding: 35px 35px;
    text-align: center;
    border-radius: 10px;
    z-index: 3;
    animation: mymove 5s infinite;
    animation-timing-function: ease-in-out;
}

@keyframes mymove {
    from {
        top: -202px;
    }

    to {
        top: 102%;
    }
}

/*** About End ***/


/*** Services Start ***/
.services-inner-icon {
    width: 130px;
    height: 130px;
    background: var(--bs-dark);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
    position: relative;

}

.services-inner-icon::after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-radius: 62px;
    top: 50%;
    left: 50%;
    transition: .5s;
}

.services-item:hover .services-inner-icon::after {
    width: 100%;
    height: 100%;
    margin-top: -50%;
    margin-left: -50%;
    background: #cf1c00;
    color: (--bs-dark)var;

}

.services-item i {
    text-align: center;
    transition: .5s;
}

.services-item:hover i:not(.whatsappIcon) {
    color: var(--bs-dark) !important;
    z-index: 1;
    rotate: 360deg;
}



.services-btn {
    display: flex;
    align-items: center;
    justify-content: center;
}

/*** Services Start ***/

/*** Project Start ***/
.project-item {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 30px 30px 30px 30px;
    overflow: hidden;
}

.project-item::before {
    content: "";
    width: 100%;
    height: 40%;
    background: var(--bs-dark);
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: 1;
    border-radius: 10px 10px 10px 10px;
}


.project-item::after {
    content: "";
    width: 100%;
    height: 60%;
    background: #cf1c00;
    position: absolute;
    bottom: 0px;
    left: 0px;
    z-index: 1;
    border-radius: 10px 10px 10px 10px;
}

.project-left {
    width: 180px;
    height: 70px;
    position: absolute;
    top: 22%;
    left: -18%;
    rotate: 30deg;
    z-index: 2;
}

.project-right {
    width: 180px;
    height: 70px;
    position: absolute;
    top: 22%;
    right: -18%;
    rotate: -30deg;
    z-index: 2;
}

.project-item img {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 2;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.project-item a {
    position: absolute;
    padding: 25px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0) rotate(-360deg);
    border-radius: 10px;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
    opacity: 0;
}

.project-item:hover a {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1) rotate(0deg);
    background: #cf1c00;
    color: white !important;
    opacity: 1;

}


/*** prohect Start ***/


/*** Blog Start ***/

.blog-carousel {
    width: 100%;
    height: 100%;
    position: relative;
}


.blog-carousel .owl-nav .owl-prev {
    position: absolute;
    width: 80px;
    height: 50px;
    background: var(--bs-primary);
    top: -51px;
    left: 0;
    border: 0;
    border-radius: 10px 30px 30px 10px;
}

.blog-carousel .owl-nav .owl-prev {
    box-shadow: inset 0 0 0 0 var(--bs-dark);
    transition: .5s;
}

.blog-carousel .owl-nav .owl-prev:hover {
    box-shadow: inset 200px 0 0 0 var(--bs-dark);
    color: var(--bs-primary) !important;
}

.blog-carousel .owl-prev,
.blog-carousel .owl-next {
    color: var(--bs-dark);
    display: flex;
    align-items: center;
    justify-content: center;
}

.blog-carousel .owl-nav .owl-next {
    position: absolute;
    width: 80px;
    height: 50px;
    background: var(--bs-primary);
    top: -51px;
    right: 0;
    border-radius: 30px 10px 10px 30px;
}

.blog-carousel .owl-nav .owl-next {
    box-shadow: inset 0 0 0 0 #000000;
    transition: .5s;
}

.blog-carousel .owl-nav .owl-next:hover {
    box-shadow: inset 200px 0 0 0 #000000;
    color: var(--bs-primary) !important;
}

/*** Blog End ***/


/*** Pricing Start ***/
.pricing-item {
    transition: .5s;

}

.pricing-item:hover {
    box-shadow: 0 0 30px rgba(0, 0, 0, .5);
    margin: -20px 0 20px 0;
}

.pricing-label {
    border-bottom: 20px solid var(--bs-light);
    border-radius: 0 0 300px 300px;
    transition: .5s;
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.pricing-item:hover .pricing-label {
    border-color: rgba(0, 0, 0, .5);
}

.pricing-item:hover .pricing-label.pricing-featured {
    border-color: rgba(255, 255, 255, .5);
}


/*** Pricing End ***/


/*** Call To Action start ***/

.call-to-action {
    background: linear-gradient(rgba(0, 0, 0, .7), rgba(0, 0, 0, .7)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}

/*** Call To Action End ***/


/*** Team Start ***/
.team-item {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.team-item .team-icon {
    position: absolute;
    top: 15px;
    right: -80px;
    rotate: -30deg;
    transition: .5s;
    visibility: hidden;
}

.team-item:hover .team-icon {
    visibility: visible;
    margin-right: 95px;
    rotate: 0deg;
}

.team-item .team-icon .btn {
    padding: 0;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 35px;
}

.team-item .team-content {
    box-shadow: inset 0 0 0 0 var(--bs-dark);
    transition: 1s;

}

.team-item:hover .team-content {
    box-shadow: inset 550px 0 0 0 var(--bs-dark);
    color: var(--bs-primary) !important;
}

/*** Team End ***/

/*** testimonial Start ***/
.testimonial-content {
    position: relative;
    width: 100%;
    height: 100%;
    background: var(--bs-light);
    z-index: 1;
}

.testimonial-content::before {
    content: "";
    width: 50px;
    height: 50px;
    position: absolute;
    left: 50px;
    bottom: -15px;
    rotate: 45deg;
    z-index: -5;
    background: var(--bs-light);
}

.testimonial-carousel {
    position: relative;
    padding-left: 60px;
    padding-right: 60px;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 60px;
    height: 40px;
    background: #cf1c00;
    color: var(--bs-dark);
    font-size: 22px;
    top: 14%;
    left: 0px;
    border-radius: 30px 0 0 30px;
    box-shadow: inset 0 0 0 0 var(--bs-dark);
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover {
    box-shadow: inset 200px 0 0 0 var(--bs-dark);
    color: #cf1c00 !important;
}

.testimonial-carousel .owl-nav .owl-next {
    left: auto;
    right: 0px;
    border-radius: 0 30px 30px 0;
}

.testimonial-carousel .owl-nav .owl-next:hover {
    box-shadow: inset 200px 0 0 0 var(--bs-dark);
    color: #cf1c00 !important;
}

.testimonial-carousel .owl-dots {
    margin-top: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 10px;
    height: 10px;
    background: var(--bs-secondary);
    border-radius: 15px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    width: 30px;
    background: #cf1c00;
}

/*** testimonial End ***/


/*** Contact Start ***/
.contact-link a i,
.contact-link a h5,
.contact-link a.h5 {
    transition: .5s;
}

.contact-link a i:hover,
.contact-link a h5:hover,
.contact-link a.h5:hover {
    color: var(--bs-primary) !important;
}

/*** Contact End ***/


/*** Footer Start ***/
.footer {
    background-color: black;
    background-size: cover;
    color: rgba(255, 255, 255, .7);
    margin-top: 6rem;
}


#logotipo-footer {
    width: 70%;
    display: block;

}





.footer-item,
.footer-item a {

    text-transform: none;
}


#button-whatsapp img {
    width: 120%;
}


.btn-link {
    color: rgba(255, 255, 255, .7);
}

.btn-link:hover {
    color: #cf1c00;
}

/*** Footer End ***/


/*** Copywright Start ***/

.copyright .copyright-btn {
    display: flex;
    align-items: center;
    justify-content: center;
}

.copyright .copyright-icon {
    width: 44px;
    height: 44px;
    display: flex;
    align-items: center;
    justify-content: center;
}



.copy-container {
    display: flex;
    gap: 1rem;
}

#copy {
    gap: 1rem;
    font-size: 0.8rem;
    background-color: #cf1c00;
    padding: 0.5rem 0rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container-logo-footer {
    display: flex;
}

#copy p {
    padding: 0;
    color: black;
}

#copy img {
    width: 10%;
    margin-bottom: 0.1rem;
}

/*** Copywright End ***/


#button-whatsapp {
    position: fixed;
    width: 50px;
    z-index: 1;
    display: block;
    right: 23px;
    bottom: 33px;
    transition: transform 0.5s ease;
    animation: shake 5s infinite ease-in-out;
}

#button-whatsapp:hover {
    transform: scale(1.1);
    animation-play-state: paused;
    /* Para pausar a animação de tremer ao passar o mouse */
}

#button-whatsapp img {
    width: 100%;
    height: auto;
}

@keyframes shake {
    0% {
        transform: translate(0, 0);
    }

    10%,
    30%,
    50%,
    70%,
    90% {
        transform: translate(-2px, 2px);
    }

    20%,
    40%,
    60%,
    80%,
    100% {
        transform: translate(2px, -2px);
    }
}

@media screen and (min-width: 320px) and (max-width: 994px) {
    .container-mobile {
        display: flex;
    }

    .ajust-fluid {
        height: auto !important;
    }

    .copyright {
        padding: 1rem 0rem;
    }

    .nav-mobile {
        display: flex;
        width: 100%;
    }

    #logotipo {
        width: 83%;


    }


    .footer {
        margin-top: 0rem;
    }

    .logo {
        width: 70%;
    }

    .carousel h1 {
        font-size: 2.25rem;
    }

    .carousel h4{
        font-size: 1.25rem;
        margin-bottom: 2rem;
    }

    .btn-mobile {
        text-transform: none;
        font-size: 1rem;
        padding: 0.5rem 1.5rem !important;
    }

    .ajust-mobile {
        padding: 0 !important;
    }

    .about-item h1 {
        font-size: 1.5rem !important;
        padding: 1rem 0rem !important;
    }

    .row-mobile {
        margin-top: 1rem;
        display: flex;
        flex-direction: column !important;
        gap: 1rem;
    }

    .card-mobile {
        width: 100%;
    }

    .display-5 {
        font-size: 1.5rem !important;
    }

    .owl-next,
    .owl-prev {
        display: none !important;
    }

    .testimonial-carousel {
        padding: 0 !important;
    }

    .footer {
        text-align: left;
        font-size: 0.8rem !important;
    }

    .footer-item a {
        font-size: 1rem;
        margin-bottom: 0.2rem;
    }



    #logotipo-footer {
        width: 150px;

    }

    #copy {
        display: flex;
        flex-direction: column;
        font-size: 0.9rem;
        gap: 0.5rem;
    }

    #copy p {
        margin-top: 0.5rem !important;
    }

    #logotipo-copy {
        width: 150px !important;
        margin-top: 0.5rem;
    }

    #button-whatsapp {
        display: none !important;
    }
}

@media screen and (min-width: 320px) and (max-width:420px) {
    .pricing-label {
        padding-top: 1rem;
    }
}